> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Endpoint for getting reports for finished audit engagements.

> It is sorted by newest first.

It has the `team_members` field which contains information about the
auditors who took part in the audit engagement. This information includes
the `auditor_public_profile` field which points to the public profile of the auditor.
If the auditor's profile is private, the value is `null`. It also include the `rank_during_audit`
which states the auditor rank at the time of the audit engagement; which may now be
different from the current rank found in the auditor's public profile.

# Access control rules

- Publicly accessible.



## OpenAPI

````yaml GET /api/v0/reports
openapi: 3.1.0
info:
  title: Cantina Client API
  description: >-
    Endpoints available to client organizations. For an overview and
    authentication, see
    https://docs.cantina.xyz/for-organizations/getting-started/api-access.
  license:
    name: Cantina
    identifier: Cantina
  version: 0.1.0
servers: []
security: []
paths:
  /api/v0/reports:
    get:
      tags:
        - reports
      summary: Endpoint for getting reports for finished audit engagements.
      description: >-
        It is sorted by newest first.


        It has the `team_members` field which contains information about the

        auditors who took part in the audit engagement. This information
        includes

        the `auditor_public_profile` field which points to the public profile of
        the auditor.

        If the auditor's profile is private, the value is `null`. It also
        include the `rank_during_audit`

        which states the auditor rank at the time of the audit engagement; which
        may now be

        different from the current rank found in the auditor's public profile.


        # Access control rules


        - Publicly accessible.
      operationId: get_reports
      parameters:
        - name: limit
          in: query
          description: |-
            Maximum number of reports to return.

            Defaults to 100, limited to 1000.
          required: false
          schema:
            type:
              - integer
              - 'null'
            minimum: 0
        - name: next
          in: query
          description: >-
            Pagination value.


            When this route is first used it returns a `next_value`, when set as
            the

            `next` value it will return the next set of items, implementing

            pagination.
          required: false
          schema:
            type:
              - string
              - 'null'
        - name: q
          in: query
          description: |-
            Search the report with the given query.

            This currently searches the report title and client name.
          required: false
          schema:
            type:
              - string
              - 'null'
        - name: guild
          in: query
          description: Filter reports based on guild name.
          required: false
          schema:
            type:
              - string
              - 'null'
      responses:
        '200':
          description: Reports
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportList'
        '500':
          description: Error getting reports
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
components:
  schemas:
    ReportList:
      type: object
      description: List of [`Report`]`s.
      required:
        - reports
      properties:
        reports:
          type: array
          items:
            $ref: '#/components/schemas/Report'
          description: List of reports.
        nextValue:
          type:
            - string
            - 'null'
          description: >-
            Use this as `next` value in the next request to retrieve the next
            list

            of reports.


            If this is empty it means no more reports are available.
    CantinaError:
      type: object
      description: Error returned by the Cantina API.
      required:
        - type
        - msg
      properties:
        type:
          $ref: '#/components/schemas/ErrorType'
        msg:
          type: string
          description: Error message for the user.
    Report:
      type: object
      required:
        - id
        - isPrivate
        - projectTitle
        - companyId
        - companyHandle
        - clientName
        - clientLogo
        - engagementKind
        - engagementStartDate
        - engagementEndDate
        - repositoryLinks
        - commitHashes
        - typeOfProject
        - teamMembers
        - findingStats
        - createdBy
        - createdAt
        - publishedAt
      properties:
        id:
          type: string
          format: uuid
        isPrivate:
          type: boolean
        projectTitle:
          type: string
        seoTitle:
          type:
            - string
            - 'null'
          description: Custom text for the TITLE tag when the report is viewed in a browser
        seoDescription:
          type:
            - string
            - 'null'
          description: >-
            Custom text for the META description tag when the report is viewed
            in a browser
        description:
          type:
            - string
            - 'null'
          description: Description of the report
        companyId:
          type: string
          format: uuid
        companyHandle:
          type: string
        clientName:
          type: string
        clientLogo:
          type: string
        clientWebsite:
          type:
            - string
            - 'null'
        engagementId:
          type:
            - string
            - 'null'
          format: uuid
        repositoryId:
          type:
            - string
            - 'null'
          format: uuid
        guildId:
          type:
            - string
            - 'null'
          format: uuid
        engagementKind:
          $ref: '#/components/schemas/EngagementKind'
        engagementStartDate:
          type: string
          format: date-time
        engagementEndDate:
          type: string
          format: date-time
        reportPdfLink:
          type:
            - string
            - 'null'
        repositoryLinks:
          type: array
          items:
            type: string
        commitHashes:
          type: array
          items:
            type: string
        typeOfProject:
          type: array
          items:
            type: string
        teamMembers:
          type: array
          items:
            $ref: '#/components/schemas/ReportTeamMembersWithPublicProfile'
        findingStats:
          type: array
          items:
            $ref: '#/components/schemas/ReportFindingStats'
        findings:
          type: array
          items:
            $ref: '#/components/schemas/ReportFinding'
        createdBy:
          type: string
          format: uuid
        createdAt:
          type: string
          format: date-time
        publishedAt:
          type: string
          format: date-time
    ErrorType:
      type: string
      description: Type of error.
      enum:
        - email_not_verified
        - auth_invalid
        - auth_expired
        - auth_token_missing
        - auth_id_missing
        - invalid_password
        - disabled_user
        - tc_not_accepted
        - evicted
        - unauthorized
        - bad_request
        - not_found
        - forbidden
        - gone
        - payload_too_large
        - service_unavailable
        - internal_error
    EngagementKind:
      type: string
      description: Kind of [`Engagement`].
      enum:
        - spearbit_web3
        - spearbit_web2
        - spearbit_vciso
        - cantina_managed
        - cantina_guild
        - cantina_solo
        - public_competition
        - private_competition
        - public_bounty
        - private_bounty
    ReportTeamMembersWithPublicProfile:
      type: object
      required:
        - reportId
        - rankDuringAudit
      properties:
        reportId:
          type: string
          format: uuid
        auditorPublicProfile:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/PublicAuditor'
              description: This can be empty if the auditor is set to private.
        rankDuringAudit:
          $ref: '#/components/schemas/AuditorRank'
    ReportFindingStats:
      type: object
      required:
        - severity
        - totalCount
      properties:
        severity:
          $ref: '#/components/schemas/FindingSeverity'
        totalCount:
          type: integer
          format: int32
        fixedCount:
          type:
            - integer
            - 'null'
          format: int32
    ReportFinding:
      type: object
      required:
        - id
        - number
        - attributedTo
        - title
        - description
        - status
        - severity
        - createdBy
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        number:
          type: integer
          format: int32
        attributedTo:
          type: string
          format: uuid
        title:
          type: string
        description:
          type: string
        status:
          $ref: '#/components/schemas/FindingStatus'
        severity:
          $ref: '#/components/schemas/FindingSeverity'
        likelihood:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/FindingLikelihood'
        impact:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/FindingImpact'
        fixedBy:
          type: array
          items:
            type: string
        relatedFiles:
          type: array
          items:
            $ref: '#/components/schemas/FindingRelatedFile'
        createdBy:
          $ref: '#/components/schemas/UserProfile'
        createdAt:
          type: string
          format: date-time
        companyName:
          type: string
        companyLogo:
          type: string
    PublicAuditor:
      type: object
      description: Public subset of auditor data.
      required:
        - id
        - name
        - username
        - avatar
        - isBot
        - verifiedProfile
        - isNdaSigned
        - reputation
        - skills
        - badges
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        username:
          type: string
        github:
          type:
            - string
            - 'null'
        twitter:
          type:
            - string
            - 'null'
        tagline:
          type:
            - string
            - 'null'
        bio:
          type:
            - string
            - 'null'
        website:
          type:
            - string
            - 'null'
        avatar:
          type: string
        isBot:
          type: boolean
        verifiedProfile:
          type: boolean
        guildAffiliation:
          type:
            - string
            - 'null'
          format: uuid
        isNdaSigned:
          type: boolean
        rank:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/AuditorRank'
        reputation:
          type: integer
          format: int32
          description: Reputation of an auditor, always in the range of `0..=100`.
        fellowshipLevel:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/FellowshipLevel'
              description: 'Note: Only set when the fellowship opt in is `signed`.'
        skills:
          type: array
          items:
            type: string
        badges:
          type: array
          items:
            $ref: '#/components/schemas/IssuedBadge'
        createdAt:
          type: string
          format: date-time
    AuditorRank:
      type: string
      enum:
        - lsr
        - sr
        - asr
        - jsr
    FindingSeverity:
      type: string
      description: Severity of a [`Finding`].
      enum:
        - critical
        - high
        - medium
        - low
        - informational
        - gas_optimization
    FindingStatus:
      type: string
      description: |-
        Status of a [`Finding`].
        Note that the `in_review` status is only applicable within bounties.
      enum:
        - new
        - in_review
        - disputed
        - rejected
        - spam
        - duplicate
        - confirmed
        - acknowledged
        - fixed
        - withdrawn
    FindingLikelihood:
      type: string
      description: Likelihood of a [`Finding`].
      enum:
        - high
        - medium
        - low
    FindingImpact:
      type: string
      description: Impact of a [`Finding`].
      enum:
        - high
        - medium
        - low
    FindingRelatedFile:
      type: object
      required:
        - id
        - path
        - lines
      properties:
        id:
          type: string
          format: uuid
        path:
          type: string
        language:
          type:
            - string
            - 'null'
        lines:
          $ref: '#/components/schemas/InclusiveRangeInt'
          description: The line(s) refered to in the comment.
        relevantContent:
          type:
            - string
            - 'null'
          description: >-
            Content of the file that is relevant to the finding, i.e. the
            `lines` of

            the content.


            # Notes


            This may be null if the `lines` are invalid (e.g. they go beyond the

            amount of lines) or if the file is binary.
    UserProfile:
      type: object
      description: Profile info of a user.
      required:
        - userId
        - name
        - username
        - avatar
      properties:
        userId:
          type: string
          format: uuid
        name:
          type: string
        username:
          type: string
        avatar:
          type: string
        disabledAt:
          type:
            - string
            - 'null'
          format: date-time
    FellowshipLevel:
      type: string
      enum:
        - apprentice
        - resident
        - fellow
    IssuedBadge:
      type: object
      required:
        - id
        - name
        - image
        - description
        - issuedAt
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        image:
          type: string
        description:
          type: string
        issuedAt:
          type: string
          format: date-time
    InclusiveRangeInt:
      type: object
      description: >-
        Represent a range where both the start and end are included in the
        range.
      required:
        - start
        - end
      properties:
        start:
          type: integer
          format: int32
        end:
          type: integer
          format: int32

````